=== tools/Python/mcdisplay/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.17.0)
cmake_policy(VERSION 3.17.0)

add_subdirectory(mantid_xml)
add_subdirectory(matplotlib)
add_subdirectory(pyqtgraph)
add_subdirectory(webgl)
add_subdirectory(cad)
