## mccode 0.0~git20240605070528.f22fe13+ds4

=== debian/changelog ===
mccode (0.0~git20240605070528.f22fe13+ds4-1) unstable; urgency=medium

  * New upstream snapshot.
  * Packaging fixes all around.

 -- Roland Mas <lolando@debian.org>  Wed, 05 Jun 2024 13:26:06 +0200

mccode (0.0~git20240131101836.f06506e+ds4-1) unstable; urgency=medium

  * New upstream snapshot.
  * Filter out deprecated (and GPL-2) Perl stuff.
  * Add a custom debian/update-copyright.pl script to generate
    proposed debian/copyright info from *.comp and *.instr.
  * Run this script on the very many *.comp and *.instr instrument
    description files that were added recently upstream. This should
    bring debian/copyright to completeness.

 -- Roland Mas <lolando@debian.org>  Tue, 06 Feb 2024 14:28:39 +0100

mccode (0.0~git20231013163107.09cdb09+ds3-1) UNRELEASED; urgency=medium

  * New upstream snapshot, wholly GPL3 now (apart from a language
    specification for GtkSourceView).

 -- Roland Mas <lolando@debian.org>  Wed, 18 Oct 2023 19:54:41 +0200

mccode (0.0~git20230407082717.9acc187+ds3-2) UNRELEASED; urgency=medium

  * Drop empty mccode-common package.

 -- Roland Mas <lolando@debian.org>  Wed, 12 Apr 2023 23:42:24 +0200

mccode (0.0~git20230407082717.9acc187+ds3-1) UNRELEASED; urgency=medium

  * New upstream snapshot.
  * Remove cif2hkl from source package.
  * Depend on external cif2hkl package.

 -- Roland Mas <lolando@debian.org>  Wed, 12 Apr 2023 16:48:05 +0200

mccode (0.0~git20230208073439.37d725b+ds3-3) UNRELEASED; urgency=medium

  * New upstream snapshot, with licensing updates.

 -- Roland Mas <lolando@debian.org>  Wed, 08 Feb 2023 17:34:19 +0100

mccode (0.0~git20221219130132.5c190e2+ds3-2) UNRELEASED; urgency=medium

  * Use execute_{before,after}_* targets instead of override_* in
    debian/rules when relevant.
  * Update debian/copyright.

 -- Roland Mas <lolando@debian.org>  Thu, 26 Jan 2023 18:24:08 +0100

mccode (0.0~git20221219130132.5c190e2+ds3-1) UNRELEASED; urgency=medium

  * New upstream snapshot.
  * Upstream switched to GPLv3.
  * Initial release (Closes: #997901, 997903).

 -- Roland Mas <lolando@debian.org>  Wed, 04 Jan 2023 10:48:26 +0100

mccode (0.0~git20211202102942.9ba178d+ds1-1) UNRELEASED; urgency=medium

  * New upstream snapshot.

 -- Roland Mas <lolando@debian.org>  Fri, 03 Dec 2021 19:11:28 +0100

mccode (0.0~git20211124103033.5cdca6f+ds1-1) UNRELEASED; urgency=medium

  * New upstream snapshot.

 -- Roland Mas <lolando@debian.org>  Mon, 29 Nov 2021 16:31:25 +0100

mccode (0.0~git20211113150921.18627c7+ds1-1) UNRELEASED; urgency=medium

  * New upstream snapshot.

 -- Roland Mas <lolando@debian.org>  Mon, 15 Nov 2021 18:15:58 +0100

mccode (0.0~git20211105125748.a3ac847+ds3-1) UNRELEASED; urgency=medium

  * New upstream snapshot.

 -- Roland Mas <lolando@debian.org>  Sat, 06 Nov 2021 14:37:39 +0100

mccode (0.0~git20211028093520.f1de7df+ds2-1) UNRELEASED; urgency=medium

  * Start work on packaging McStas/McXtrace (collectively, McCode).

 -- Roland Mas <lolando@debian.org>  Sun, 31 Oct 2021 15:36:03 +0100
